Subject: RE: _ctype_ not found in cygwin1.dll
From: Heribert Dahms <[email-masked]>
To: "'Markus Hoenicka'" <[email-masked]>, Andre Bleau <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Aug 2000 00:01:13 +0200

Hi Markus,

then I bet you have two incompatible versions of cygwin1.dll on your
system.

Bye, Heribert ([email-masked])

> -----Original Message-----
> From:	Markus Hoenicka [SMTP:[email-masked]]
> Sent:	Wednesday, August 09, 2000 18:41
> To:	Andre Bleau
> Cc:	[email-masked]
> Subject:	Re: _ctype_ not found in cygwin1.dll
> 
> Hi,
> 
> this sounds reasonable and was mentioned in the archives a while
> ago. I was just confused by the fact that I can run the standalone app
> without problems. It just bites me if I run it as a service. I rather
> thought that I'd have to do some special tricks to run CygWin apps as
> a
> service.
> 
> So for the next weeks (months?) I'll be mulling over libmysqlclient.a
> ...
> 
> Thanks
> Markus
> 
> Andre Bleau writes:
>  > After I upgraded to Cygwin 1.1.x I had the same problem while
> linking with 
>  > a library I compiled under Cygwin B20.1. Some function inside the
> library 
>  > was including <ctype.h> for the use of isupper, islower... These
> are macros 
>  > using a
>  > global variable of the cygwin library named _ctype_ whose
> declaration in 
>  > ctype.h has changed between B20.1 and 1.1.x to now include the 
>  > __declspec(dllimport) attribute. You will have to recompile the
> modules of 
>  > your libmysqlclient.a that include <ctype.h>.
>  > 
>  > Hope this helps.
>  > 
>  > >Hi all,
>  > >
>  > >this is sort of a follow-up to my previous problem (accept() fails
> if
>  > >I run my app as service, but succeeds if I run it standalone).
>  > >
>  > >I found out that my app does run fine as a server on a different
> B20.1
>  > >installation. So I figured that my CygWin setup may be screwed up
> and
>  > >started from scratch. I upgraded to the latest net release and
> rebuilt
>  > >my app completely (except for libmysqlclient.a: This was compiled
> with
>  > >B20.1, and I could not yet figure out how to compile it on 1.1.4).
>  > >
>  > >Now I face a different problem. My app again runs just fine as
>  > >standalone, but when I try to start it as a service (using
>  > >invkr153.zip) I get:
>  > >
>  > >"The procedure entry point _ctype_ could not be located in the
> dynamic
>  > >link library cygwin1.dll"
>  > >
>  > >What is this trying to tell me? Any help will be greatly
>  > >appreciated. cygcheck is attached below.
>  > >
>  > >Markus
>  > 
>  > 
>  > André Bleau, ing., analyste
>  > [email-masked]
>  > 
>  > Département de génie électrique et         Electric Engineering and
>  > de génie informatique                      Computer Engineering
> department
>  > École Polytechnique de Montréal            Montreal Polytechnic
> School
>  > 
> 
> -- 
> Markus Hoenicka, PhD
> UT Houston Medical School
> Dept. of Integrative Biology and Pharmacology
> 6431 Fannin MSB4.114
> Houston, TX 77030
> (713) 500-6313, -7477
> (713) 500-7444 (fax)
> [email-masked]
> http://ourworld.compuserve.com/homepages/hoenicka_markus/
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]